Skip to content

Test

These endpoints are for testing purposes only.

You can use them to verify that your integration authentication works as intended.

Operations

Who am I

Request

Returns information about the authenticated caller — company_id, user_id, and (when present in the token) company_name and email.

Security
OAuth2
curl -i -X GET \
  https://api.understory.io/v1/me \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
company_idstringrequired

Your company's ID.

user_idstringrequired

Your user ID (the JWT sub claim).

company_namestring

Your company's name. May be omitted when the issuing token does not carry a companyName extension claim.

emailstring, (email)

Your email address. May be omitted when the issuing token does not carry an email extension claim.

Response
{ "company_id": "string", "company_name": "string", "user_id": "string", "email": "user@example.com" }